Contents
Get Transfer - Plugixa Inventory
GET /plugixa-inventory/v1/transfers/{id}
Read one transfer, with its lines.
The user needs the plugixa_inventory_view capability (administrators have every inventory capability). With Pro Roles and permissions enforcing, their role must also allow reading transfers. Needs Plugixa Inventory Pro with the Warehouse transfers app on in Plugixa Inventory -> App Manager; with it off, this route answers 404.
Request
GET https://your-site.example/wp-json/plugixa-inventory/v1/transfers/12
Path parameters
| Name | Type | Description |
|---|---|---|
id |
integer |
The transfer’s id |
Responses
200 OK. data is the transfer.
{
"success": true,
"data": {
"id": 12,
"reference": "",
"from_warehouse_id": 1,
"to_warehouse_id": 2,
"transfer_date": "2026-11-12 10:30:00",
"status": "draft",
"finalized_at": null,
"finalized_by": null,
"batch_id": "",
"line_count": 1,
"total_quantity": 0.0,
"total_cost": 0.0,
"details": "",
"attachments": null,
"assigned_user_id": null,
"created_by": 1,
"modified_by": 1,
"created_at": "2026-11-12 09:30:00",
"modified_at": "2026-11-12 09:30:00",
"deleted_at": null,
"lines": [
{
"id": 77,
"transfer_id": 12,
"item_id": 42,
"unit_id": null,
"quantity": 40.0,
"cost_per_unit": 4.2,
"total_cost": 0.0,
"out_transaction_id": 0,
"in_transaction_id": 0,
"notes": "",
"position": 1,
"created_by": "1",
"modified_by": "1",
"created_at": "2026-11-12 09:30:00",
"modified_at": "2026-11-12 09:30:00",
"deleted_at": null,
"item_name": "Printer paper A4",
"item_sku": "PAP-A4",
"item_type": "consumable",
"unit_code": null
}
],
"from_warehouse_name": "Main warehouse",
"to_warehouse_name": "Shop floor"
}
}
| Field | Type | Meaning |
|---|---|---|
data.id |
integer |
The transfer’s id |
data.status |
string |
draft or finalized |
data.transfer_date |
string |
Document date, in the site’s timezone |
data.from_warehouse_name |
string|null |
The source warehouse’s name |
data.to_warehouse_name |
string|null |
The destination warehouse’s name |
data.lines[].out_transaction_id |
integer |
The ledger row taking stock out. 0 until finalized |
data.lines[].in_transaction_id |
integer |
The ledger row putting it in. 0 until finalized |
Errors
| Status | Code | When |
|---|---|---|
404 |
plugixa_inventory_not_found |
No document with that id, or it is in the trash. |
Plus the errors every endpoint can return.
Examples
curl -s "https://your-site.example/wp-json/plugixa-inventory/v1/transfers/12" \
-u "admin:$WP_APP_PASSWORD"
<?php
$ch = curl_init('https://your-site.example/wp-json/plugixa-inventory/v1/transfers/12');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_USERPWD => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const auth = 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`);
const response = await fetch('https://your-site.example/wp-json/plugixa-inventory/v1/transfers/12', {
headers: { 'Authorization': auth },
});
const { data } = await response.json();
Quick Links
Share